Debian Bug report logs - #432893
dpkg: Failed install followed by failed remove results in installed state

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Tue, 19 Jun 2007 16:51:03 UTC

Severity: normal

Tags: patch

Found in versions dpkg/1.14.5, dpkg/1.10.28

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#429708; Package libghc6-hslogger-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libghc6-hslogger-dev: hslogger-1.0.2 is already installed
Date: Tue, 19 Jun 2007 18:23:46 +0200
Package: libghc6-hslogger-dev
Version: 1.0.3
Severity: serious

Hi,

I don't know all the event leading up to this problem, since I can't
even remove some of the current packages, but I now get:
Setting up libghc6-hslogger-dev (1.0.3) ...
Reading package info from stdin ... done.
ghc-pkg: package hslogger-1.0.2 is already installed
dpkg: error processing libghc6-hslogger-dev (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 libghc6-hslogger-dev
E: Sub-process /usr/bin/dpkg returned an error code (1)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#429708; Package libghc6-hslogger-dev. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 429708@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: 429708@bugs.debian.org
Cc: kurt@roeckx.be, control@bugs.debian.org
Subject: Can't reproduce
Date: Thu, 12 Jul 2007 11:34:26 -0500
severity 429708 normal
tags 429708 unreproducible
thanks

Hi Kurt,

I can't duplicate this here, but it could be that there was some problem 
installing the old version of the package.

I'd try dpkg --purge libghc6-hslogger-dev and see if you can then install it 
from scratch.  If the purge fails, try removing its postinst and try again.

-- John



Severity set to `normal' from `serious' Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. (Thu, 12 Jul 2007 16:36:05 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. (Thu, 12 Jul 2007 16:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#429708; Package libghc6-hslogger-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #19 received at 429708@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: John Goerzen <jgoerzen@complete.org>
Cc: 429708@bugs.debian.org
Subject: Re: Can't reproduce
Date: Thu, 12 Jul 2007 19:06:55 +0200
On Thu, Jul 12, 2007 at 11:34:26AM -0500, John Goerzen wrote:
> severity 429708 normal
> tags 429708 unreproducible
> thanks
> 
> Hi Kurt,
> 
> I can't duplicate this here, but it could be that there was some problem 
> installing the old version of the package.
> 
> I'd try dpkg --purge libghc6-hslogger-dev and see if you can then install it 
> from scratch.  If the purge fails, try removing its postinst and try again.

John,

I have no idea what happened exactly.  All I know is that #429486
happened first.  The buildd might have tried to install/remove some
packages before I noticed the problem.  And then when trying to remove
all packages, one of them failed to remove.  So apt-get -f install
install all those packages again, and I think it was at that point I
got the error.

I don't think purging the package worked at that time, but don't ask me
why.  I know that I couldn't either install or remove all the ghc6
related package the normal way.  There is probably a bug about that
somewhere too.

There is probably some corner case in your maintainer scripts that
you're not covering properly, like what happens when remove/purge
fails.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#429708; Package libghc6-hslogger-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #24 received at 429708@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: John Goerzen <jgoerzen@complete.org>
Cc: 429708@bugs.debian.org
Subject: Re: Can't reproduce
Date: Thu, 12 Jul 2007 19:45:20 +0200
severity 429708 serious
thanks

So I've just had the same problem again.

The dfsbuild_1.0.1 build failed, see:
http://buildd.debian.org/fetch.cgi?pkg=dfsbuild;ver=1.0.1;arch=amd64;stamp=1184260205

I start with something like this:
iF  libghc6-hsh-dev        1.2.3             Library to mix shell
scripting with Haskell

And then try to remove libghc6-hsh-dev, and get:
# apt-get remove libghc6-hsh-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libghc6-missingh-dev libghc6-hslogger-dev
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  libghc6-hsh-dev
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 614kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 11078 files and directories currently installed.)
Removing libghc6-hsh-dev ...
ghc-pkg: cannot find package HSH-1.2.1
dpkg: error processing libghc6-hsh-dev (--remove):
 subprocess pre-removal script returned error exit status 1
Errors were encountered while processing:
 libghc6-hsh-dev
E: Sub-process /usr/bin/dpkg returned an error code (1)

After which I get:
ri  libghc6-hsh-dev        1.2.3

Which looks like a wrong state to me, and looks like a bug in dpkg.

So, then I try and remove everything:
The following packages will be REMOVED:
  ghc6* haskell-utils* libghc6-hsh-dev* libghc6-hslogger-dev*
  libghc6-hunit-dev* libghc6-missingh-dev* libghc6-mtl-dev*
  libghc6-network-dev* libghc6-quickcheck-dev* libgmp3-dev* libgmp3c2*
  libgmpxx4* libncurses5-dev* libreadline5-dev*
0 upgraded, 0 newly installed, 14 to remove and 0 not upgraded.
Need to get 0B of archives.
After unpacking 204MB disk space will be freed.
Do you want to continue [Y/n]?
(Reading database ... 11078 files and directories currently installed.)
Removing libghc6-hsh-dev ...
ghc-pkg: cannot find package HSH-1.2.1
dpkg: error processing libghc6-hsh-dev (--purge):
 subprocess pre-removal script returned error exit status 1
dpkg: haskell-utils: dependency problems, but removing anyway as you request:
 ghc6 depends on haskell-utils.
Removing haskell-utils ...
dpkg - warning: while removing haskell-utils, directory `/var/lib/haskell-utils' not empty so not removed.
dpkg: libgmp3-dev: dependency problems, but removing anyway as you request:
 ghc6 depends on libgmp3-dev; however:
  Package libgmp3-dev is to be removed.
Removing libgmp3-dev ...
Removing libgmpxx4 ...
Purging configuration files for libgmpxx4 ...
dpkg: libgmp3c2: dependency problems, but removing anyway as you request:
 ghc6 depends on libgmp3c2; however:
  Package libgmp3c2 is to be removed.
Removing libgmp3c2 ...
Purging configuration files for libgmp3c2 ...
dpkg: libreadline5-dev: dependency problems, but removing anyway as you request: ghc6 depends on libreadline5-dev; however:
  Package libreadline5-dev is to be removed.
Removing libreadline5-dev ...
Removing libncurses5-dev ...
dpkg: libghc6-missingh-dev: dependency problems, but removing anyway as you request:
 libghc6-hsh-dev depends on libghc6-missingh-dev (>= 0.18.4).
Removing libghc6-missingh-dev ...
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libghc6-missingh-dev (--purge):
 subprocess pre-removal script returned error exit status 127
dpkg: libghc6-quickcheck-dev: dependency problems, but removing anyway as you request:
 libghc6-missingh-dev depends on libghc6-quickcheck-dev; however:
  Package libghc6-quickcheck-dev is to be removed.
Removing libghc6-quickcheck-dev ...
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libghc6-quickcheck-dev (--purge):
 subprocess pre-removal script returned error exit status 127
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 127
dpkg: libghc6-hslogger-dev: dependency problems, but removing anyway as you request:
 libghc6-hsh-dev depends on libghc6-hslogger-dev.
 libghc6-missingh-dev depends on libghc6-hslogger-dev; however:
  Package libghc6-hslogger-dev is to be removed.
Removing libghc6-hslogger-dev ...
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libghc6-hslogger-dev (--purge):
 subprocess pre-removal script returned error exit status 127
dpkg: libghc6-network-dev: dependency problems, but removing anyway as you request:
 libghc6-missingh-dev depends on libghc6-network-dev.
Removing libghc6-network-dev ...
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libghc6-network-dev (--purge):
 subprocess pre-removal script returned error exit status 127
dpkg: libghc6-mtl-dev: dependency problems, but removing anyway as you request:
 libghc6-hsh-dev depends on libghc6-mtl-dev.
 libghc6-missingh-dev depends on libghc6-mtl-dev; however:
  Package libghc6-mtl-dev is to be removed.
Removing libghc6-mtl-dev ...
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libghc6-mtl-dev (--purge):
 subprocess pre-removal script returned error exit status 127
dpkg: libghc6-hunit-dev: dependency problems, but removing anyway as you request:
 libghc6-missingh-dev depends on libghc6-hunit-dev; however:
  Package libghc6-hunit-dev is to be removed.
Removing libghc6-hunit-dev ...
/usr/lib/ghc-6.6.1/ghc-pkg.bin: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory
dpkg: error processing libghc6-hunit-dev (--purge):
 subprocess pre-removal script returned error exit status 127
dpkg: ghc6: dependency problems, but removing anyway as you request:
 libghc6-hsh-dev depends on ghc6 (<< 6.6.1-999).
 libghc6-hsh-dev depends on ghc6 (>= 6.6.1).
 libghc6-hsh-dev depends on ghc6 (<< 6.6.1-999).
 libghc6-hsh-dev depends on ghc6 (>= 6.6.1).
 libghc6-missingh-dev depends on ghc6 (<< 6.6.1-999).
 libghc6-missingh-dev depends on ghc6 (>= 6.6.1).
 libghc6-missingh-dev depends on libghc6-unix-dev; however:
  Package libghc6-unix-dev is not installed.
  Package ghc6 which provides libghc6-unix-dev is to be removed.
 libghc6-missingh-dev depends on ghc6 (<< 6.6.1-999).
 libghc6-missingh-dev depends on ghc6 (>= 6.6.1).
 libghc6-missingh-dev depends on libghc6-unix-dev; however:
  Package libghc6-unix-dev is not installed.
  Package ghc6 which provides libghc6-unix-dev is to be removed.
 libghc6-missingh-dev depends on ghc6 (<< 6.6.1-999).
 libghc6-missingh-dev depends on ghc6 (>= 6.6.1).
 libghc6-missingh-dev depends on libghc6-unix-dev; however:
  Package libghc6-unix-dev is not installed.
  Package ghc6 which provides libghc6-unix-dev is to be removed.
Removing ghc6 ...
/var/lib/dpkg/info/ghc6.prerm: line 24: haskell-utils: command not found
dpkg: error processing ghc6 (--purge):
 subprocess pre-removal script returned error exit status 127
Errors were encountered while processing:
 libghc6-hsh-dev
 libghc6-missingh-dev
 libghc6-quickcheck-dev
 libghc6-hslogger-dev
 libghc6-network-dev
 libghc6-mtl-dev
 libghc6-hunit-dev
 ghc6
E: Sub-process /usr/bin/dpkg returned an error code (1)


So then I get those states:
pF  ghc6                   6.6.1-2           GHC - the Glasgow Haskell Compilation system
pi  libghc6-hsh-dev        1.2.3             Library to mix shell scripting with Haskell
pF  libghc6-hslogger-dev   1.0.3             The Haskell Logging Framework, GHC package
pF  libghc6-hunit-dev      1.1.1-2           Haskell unit testing framework for GHC
pi  libghc6-missingh-dev   0.18.6            Library of utility functions for Haskell, GH
pF  libghc6-mtl-dev        1.0.1-2           Haskell monad transformer library for GHC
pF  libghc6-network-dev    2.0.1-2           Haskell network library for GHC
pF  libghc6-quickcheck-dev 1.0.1-2           Haskell automatic testing library for GHC

Running apt-get -f install then results in:
Reading package lists...
Building dependency tree...
Reading state information...
Correcting dependencies... Done
The following extra packages will be installed:
  haskell-utils libgmp3-dev libgmp3c2 libgmpxx4 libncurses5-dev
  libreadline5-dev
Suggested packages:
  ghc6 hugs libgmp3-doc libmpfr-dev
The following NEW packages will be installed:
  haskell-utils libgmp3-dev libgmp3c2 libgmpxx4 libncurses5-dev
  libreadline5-dev
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
6 not fully installed or removed.
Need to get 0B/3364kB of archives.
After unpacking 12.3MB of additional disk space will be used.
Do you want to continue [Y/n]? debconf: delaying package configuration, since apt-utils is not installed
Selecting previously deselected package libgmp3c2.
(Reading database ... 9989 files and directories currently installed.)
Unpacking libgmp3c2 (from .../libgmp3c2_2%3a4.2.1+dfsg-4_amd64.deb) ...
Selecting previously deselected package haskell-utils.
Unpacking haskell-utils (from .../haskell-utils_1.9_amd64.deb) ...
Selecting previously deselected package libgmpxx4.
Unpacking libgmpxx4 (from .../libgmpxx4_2%3a4.2.1+dfsg-4_amd64.deb) ...
Selecting previously deselected package libgmp3-dev.
Unpacking libgmp3-dev (from .../libgmp3-dev_2%3a4.2.1+dfsg-4_amd64.deb) ...
Selecting previously deselected package libncurses5-dev.
Unpacking libncurses5-dev (from .../libncurses5-dev_5.6-3_amd64.deb) ...
Selecting previously deselected package libreadline5-dev.
Unpacking libreadline5-dev (from .../libreadline5-dev_5.2-3_amd64.deb) ...
Setting up libgmp3c2 (2:4.2.1+dfsg-4) ...

Setting up haskell-utils (1.9) ...
Setting up libgmpxx4 (2:4.2.1+dfsg-4) ...

Setting up libgmp3-dev (2:4.2.1+dfsg-4) ...
Setting up libncurses5-dev (5.6-3) ...
Setting up libreadline5-dev (5.2-3) ...

Setting up ghc6 (6.6.1-2) ...
Overwriting old entry
Overwriting old entry

Setting up libghc6-network-dev (2.0.1-2) ...
Reading package info from stdin ... done.
Saving old package config file... done.
Writing new package config file... done.

Setting up libghc6-mtl-dev (1.0.1-2) ...
Reading package info from stdin ... done.
Saving old package config file... done.
Writing new package config file... done.

Setting up libghc6-hslogger-dev (1.0.3) ...
Reading package info from stdin ... done.
ghc-pkg: package hslogger-1.0.2 is already installed
dpkg: error processing libghc6-hslogger-dev (--configure):
 subprocess post-installation script returned error exit status 1
Setting up libghc6-hunit-dev (1.1.1-2) ...
Reading package info from stdin ... done.
Saving old package config file... done.
Writing new package config file... done.

Setting up libghc6-quickcheck-dev (1.0.1-2) ...
Reading package info from stdin ... done.
Saving old package config file... done.
Writing new package config file... done.

Errors were encountered while processing:
 libghc6-hslogger-dev
E: Sub-process /usr/bin/dpkg returned an error code (1)

And get those states:
pi  ghc6                   6.6.1-2           GHC - the Glasgow Haskell Compilation system
pi  libghc6-hsh-dev        1.2.3             Library to mix shell scripting with Haskell
pF  libghc6-hslogger-dev   1.0.3             The Haskell Logging Framework, GHC package
pi  libghc6-hunit-dev      1.1.1-2           Haskell unit testing framework for GHC
pi  libghc6-missingh-dev   0.18.6            Library of utility functions for Haskell, GH
pi  libghc6-mtl-dev        1.0.1-2           Haskell monad transformer library for GHC
pi  libghc6-network-dev    2.0.1-2           Haskell network library for GHC
pi  libghc6-quickcheck-dev 1.0.1-2           Haskell automatic testing library for GHC


Anyway, getting this all cleaned up isn't very easy.


Kurt




Severity set to `serious' from `normal' Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 12 Jul 2007 17:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#429708; Package libghc6-hslogger-dev. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #31 received at 429708@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Kurt Roeckx <kurt@roeckx.be>, 429708@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#429708: Can't reproduce
Date: Thu, 12 Jul 2007 13:11:28 -0500
reassign 429708 libghc6-hsh-dev
thanks

On Thu July 12 2007 12:45:20 pm Kurt Roeckx wrote:
> severity 429708 serious
> thanks
>
> So I've just had the same problem again.
>
> The dfsbuild_1.0.1 build failed, see:
> http://buildd.debian.org/fetch.cgi?pkg=dfsbuild;ver=1.0.1;arch=amd64;stamp
>=1184260205
>
> I start with something like this:
> iF  libghc6-hsh-dev        1.2.3             Library to mix shell
> scripting with Haskell

#429708 was reported against libghc6-hslogger-dev.  It looks like you have a 
problem with libghc6-hsh-dev, not hsloogger.  I will reassign and 
investigate.

-- John



Bug reassigned from package `libghc6-hslogger-dev' to `libghc6-hsh-dev'. Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. (Thu, 12 Jul 2007 18:12:07 GMT) Full text and rfc822 format available.

Reply sent to John Goerzen <jgoerzen@complete.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 429708-close@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: 429708-close@bugs.debian.org
Subject: Bug#429708: fixed in haskell-hsh 1.2.4
Date: Thu, 12 Jul 2007 18:32:02 +0000
Source: haskell-hsh
Source-Version: 1.2.4

We believe that the bug you reported is fixed in the latest version of
haskell-hsh, which is due to be installed in the Debian FTP archive:

haskell-hsh_1.2.4.dsc
  to pool/main/h/haskell-hsh/haskell-hsh_1.2.4.dsc
haskell-hsh_1.2.4.tar.gz
  to pool/main/h/haskell-hsh/haskell-hsh_1.2.4.tar.gz
libghc6-hsh-dev_1.2.4_i386.deb
  to pool/main/h/haskell-hsh/libghc6-hsh-dev_1.2.4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429708@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Goerzen <jgoerzen@complete.org> (supplier of updated haskell-hsh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Jul 2007 03:21:30 -0500
Source: haskell-hsh
Binary: libghc6-hsh-dev
Architecture: source i386
Version: 1.2.4
Distribution: unstable
Urgency: low
Maintainer: John Goerzen <jgoerzen@complete.org>
Changed-By: John Goerzen <jgoerzen@complete.org>
Description: 
 libghc6-hsh-dev - Library to mix shell scripting with Haskell programs
Closes: 429708 430016 432448
Changes: 
 haskell-hsh (1.2.4) unstable; urgency=low
 .
   * Rebuild for newer libs.  Closes: #429708, #432448, #430016.
Files: 
 cb8b716884df77b91ee1f5583792d36a 660 libs optional haskell-hsh_1.2.4.dsc
 54d2bdbcfd97cf08539440672892dbde 27151 libs optional haskell-hsh_1.2.4.tar.gz
 106c2b7f7defdc6b5500a80ed9630d50 82616 libdevel optional libghc6-hsh-dev_1.2.4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGlnJJTvSuJuBy3ggRAlHoAJ0WQ43aASdj2lICwZkqy6i5m4DuHQCeKIhh
t0U2yfgq+q/zh3GGyuKdvXo=
=iRDL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#429708; Package libghc6-hsh-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #43 received at 429708@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: John Goerzen <jgoerzen@complete.org>
Cc: 429708@bugs.debian.org
Subject: Re: Bug#429708: Can't reproduce
Date: Thu, 12 Jul 2007 22:04:01 +0200
On Thu, Jul 12, 2007 at 01:11:28PM -0500, John Goerzen wrote:
> reassign 429708 libghc6-hsh-dev
> thanks
> 
> On Thu July 12 2007 12:45:20 pm Kurt Roeckx wrote:
> > severity 429708 serious
> > thanks
> >
> > So I've just had the same problem again.
> >
> > The dfsbuild_1.0.1 build failed, see:
> > http://buildd.debian.org/fetch.cgi?pkg=dfsbuild;ver=1.0.1;arch=amd64;stamp
> >=1184260205
> >
> > I start with something like this:
> > iF  libghc6-hsh-dev        1.2.3             Library to mix shell
> > scripting with Haskell
> 
> #429708 was reported against libghc6-hslogger-dev.  It looks like you have a 
> problem with libghc6-hsh-dev, not hsloogger.  I will reassign and 
> investigate.

I actually have the problem with several packages.  It's now just
libghc6-hsh-dev that's first showing it.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#429708; Package libghc6-hsh-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #48 received at 429708@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 429708@bugs.debian.org
Subject: Re: Bug#429708 closed by John Goerzen <jgoerzen@complete.org> (Bug#429708: fixed in haskell-hsh 1.2.4)
Date: Thu, 12 Jul 2007 22:05:37 +0200
reopen 429708
thanks

>    * Rebuild for newer libs.  Closes: #429708, #432448, #430016.

I think you're fixing the symptons here instead of the problems.


Kurt




Bug reopened, originator not changed. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 12 Jul 2007 20:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#429708; Package libghc6-hsh-dev. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #55 received at 429708@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Kurt Roeckx <kurt@roeckx.be>, 429708@bugs.debian.org
Subject: Re: Bug#429708: closed by John Goerzen <jgoerzen@complete.org> (Bug#429708: fixed in haskell-hsh 1.2.4)
Date: Thu, 12 Jul 2007 15:31:56 -0500
On Thu July 12 2007 3:05:37 pm Kurt Roeckx wrote:
> reopen 429708
> thanks
>
> >    * Rebuild for newer libs.  Closes: #429708, #432448, #430016.
>
> I think you're fixing the symptons here instead of the problems.

I think that the problem was caused by the postinst failing in the old 
package.  ghc-pkg was trying to register it against a version of MissingH 
that you didn't have, so postinst failed.  prerm then failed because the 
package wasn't registered.

I guess we could have a meta-discussion on the Haskell list about ignoring 
ghc-pkg errors in prerm.  To date I don't think anybody is doing it.

But this problem should be confined to sid, and then to library transitions.

What are your thoughts?



Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#429708; Package libghc6-hsh-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #60 received at 429708@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 429708@bugs.debian.org
Subject: Re: Can't reproduce
Date: Thu, 12 Jul 2007 22:48:13 +0200
clone 429708 -1
reassign -1 dpkg
retitle -1 dpkg: Failed install followed by failed remove results in installed state
thanks

> I start with something like this:
> iF  libghc6-hsh-dev        1.2.3             Library to mix shell
> scripting with Haskell
> 
> And then try to remove libghc6-hsh-dev, and get:
> # apt-get remove libghc6-hsh-dev
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages were automatically installed and are no longer required:
>   libghc6-missingh-dev libghc6-hslogger-dev
> Use 'apt-get autoremove' to remove them.
> The following packages will be REMOVED:
>   libghc6-hsh-dev
> 0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
> 1 not fully installed or removed.
> Need to get 0B of archives.
> After unpacking 614kB disk space will be freed.
> Do you want to continue [Y/n]? y
> (Reading database ... 11078 files and directories currently installed.)
> Removing libghc6-hsh-dev ...
> ghc-pkg: cannot find package HSH-1.2.1
> dpkg: error processing libghc6-hsh-dev (--remove):
>  subprocess pre-removal script returned error exit status 1
> Errors were encountered while processing:
>  libghc6-hsh-dev
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> 
> After which I get:
> ri  libghc6-hsh-dev        1.2.3
> 
> Which looks like a wrong state to me, and looks like a bug in dpkg.


Because I believe this is a bug in dpkg, I'm atleast going to reassign
that part to it.


Kurt




Bug 429708 cloned as bug 432893. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 12 Jul 2007 20:51:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `libghc6-hsh-dev' to `dpkg'. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 12 Jul 2007 20:51:04 GMT) Full text and rfc822 format available.

Changed Bug title to `dpkg: Failed install followed by failed remove results in installed state' from `libghc6-hslogger-dev: hslogger-1.0.2 is already installed'. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 12 Jul 2007 20:51:05 GMT) Full text and rfc822 format available.

Tags removed: unreproducible Request was from Touko Korpela <tkorpela@phnet.fi> to control@bugs.debian.org. (Sat, 14 Jul 2007 13:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <tkorpela@phnet.fi>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #73 received at 432893@bugs.debian.org (full text, mbox):

From: Touko Korpela <tkorpela@phnet.fi>
To: 432893@bugs.debian.org
Cc: 432893-submitter@bugs.debian.org
Subject: Re: Failed install followed by failed remove results in installed state
Date: Sat, 14 Jul 2007 16:25:42 +0300
What version of dpkg and its depends do you have installed?



Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#432893. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #81 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Touko Korpela <tkorpela@phnet.fi>
Cc: 432893@bugs.debian.org
Subject: Re: Bug#432893: Failed install followed by failed remove results in installed state
Date: Sun, 15 Jul 2007 18:57:27 +0200
On Sat, Jul 14, 2007 at 04:25:42PM +0300, Touko Korpela wrote:
> What version of dpkg and its depends do you have installed?

This happened on a buildd.  The unstable chroot has 1.14.5 in it, and
that's what I tested this.  The host system is still using sarge, so that
would be 1.10.28.  Afaik, during normal operations of the buildd that
version is used, but during my tests I've used 1.14.5.

It's currently using
ii  libc6          2.6-2
ii  coreutils      5.97-5.3


Kurt




Severity set to `important' from `serious' Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. (Wed, 29 Aug 2007 02:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #88 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Filipus Klutiero <cheal@hotpop.com>
Cc: 432893@bugs.debian.org
Subject: Re: Processed: severity of 432893 is important
Date: Wed, 29 Aug 2007 09:28:59 +0200
severity 432893 serious
thanks

On Wed, Aug 29, 2007 at 02:42:03AM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > # Automatically generated email from bts, devscripts version 2.10.7
> > severity 432893 important
> Bug#432893: dpkg: Failed install followed by failed remove results in installed state
> Severity set to `important' from `serious'

Please explain why you think this is not a release critical bug.

You seem to have gone and changed, mostly lowered, the severity of
various bugs on packages.  As far as I can see, you're not the
maintainer of those packages.  So I'm just going to set the severity of
this one back.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #93 received at 432893@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 432893@bugs.debian.org
Cc: Filipus Klutiero <cheal@hotpop.com>, owner@bugs.debian.org
Subject: Re: Bug#432893: Processed: severity of 432893 is important
Date: Wed, 29 Aug 2007 09:50:22 +0200
On Wed, 29 Aug 2007, Kurt Roeckx wrote:
> severity 432893 serious
> thanks
> 
> On Wed, Aug 29, 2007 at 02:42:03AM +0000, Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
> > 
> > > # Automatically generated email from bts, devscripts version 2.10.7
> > > severity 432893 important
> > Bug#432893: dpkg: Failed install followed by failed remove results in installed state
> > Severity set to `important' from `serious'
> 
> Please explain why you think this is not a release critical bug.
> 
> You seem to have gone and changed, mostly lowered, the severity of
> various bugs on packages.  As far as I can see, you're not the
> maintainer of those packages.  So I'm just going to set the severity of
> this one back.

For the record, Philippe Cloutier alias Filipus Klutiero (and chealer on
IRC) was already banned from the BTS control interface. I don't know if
his ban has been lifted or if he uses another email. CCings BTS admins for
info.

Filipus, please stop changing severities without the consent of the
maintainer.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #98 received at 432893@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Kurt Roeckx <kurt@roeckx.be>, 432893@bugs.debian.org, Filipus Klutiero <cheal@hotpop.com>, owner@bugs.debian.org
Subject: Re: Bug#432893: Processed: severity of 432893 is important
Date: Wed, 29 Aug 2007 01:27:44 -0700
On Wed, 29 Aug 2007, Raphael Hertzog wrote:
> For the record, Philippe Cloutier alias Filipus Klutiero (and
> chealer on IRC) was already banned from the BTS control interface. I
> don't know if his ban has been lifted or if he uses another email.
> CCings BTS admins for info.

I removed the ban a few days ago, but if this sort of issue continues,
I'll reasses my decision.


Don Armstrong

-- 
This can't be happening to me. I've got tenure.
 -- James Hynes _Publish and Perish_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #103 received at 432893@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: Filipus Klutiero <cheal@hotpop.com>, 432893@bugs.debian.org
Subject: Re: Processed: severity of 432893 is important
Date: Wed, 29 Aug 2007 09:12:10 -0400
Le mercredi 29 août 2007 03:28, Kurt Roeckx a écrit :
> severity 432893 serious
> thanks
>
> On Wed, Aug 29, 2007 at 02:42:03AM +0000, Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
> > > # Automatically generated email from bts, devscripts version 2.10.7
> > > severity 432893 important
> >
> > Bug#432893: dpkg: Failed install followed by failed remove results in
> > installed state Severity set to `important' from `serious'
>
> Please explain why you think this is not a release critical bug.
>
> You seem to have gone and changed, mostly lowered, the severity of
> various bugs on packages.  As far as I can see, you're not the
> maintainer of those packages.  So I'm just going to set the severity of
> this one back.

Hi Kurt,
I don't necessarily think that this bug is not RC, I just assumed it wasn't. 
Severity was set to serious indirectly by the cloned bug's severity. While 
the severity against ghc seemed fine, I think it's unlikely that the dpkg 
part of the bug is considered serious, now that the report is more than 2 
months old and there are no reports of other people experiencing the bug, or 
reports of the bug with other packages than ghc, which appears fixed.

You seem to have omitted to send the mail to control. If you still believe 
this is a serious bug, feel free ask the dpkg maintainers to upgrade the 
severity.



Severity set to `serious' from `important' Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 29 Aug 2007 16:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #110 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 432893@bugs.debian.org
Subject: Re: Processed: severity of 432893 is important
Date: Wed, 29 Aug 2007 18:51:13 +0200
On Wed, Aug 29, 2007 at 09:12:10AM -0400, Filipus Klutiero wrote:
> 
> Hi Kurt,
> I don't necessarily think that this bug is not RC, I just assumed it wasn't. 
> Severity was set to serious indirectly by the cloned bug's severity. While 
> the severity against ghc seemed fine, I think it's unlikely that the dpkg 
> part of the bug is considered serious, now that the report is more than 2 
> months old and there are no reports of other people experiencing the bug, or 
> reports of the bug with other packages than ghc, which appears fixed.

There were 2 problems in the original bug report, and I consider both
RC.  The ghc one has been fixed/worked around in an other package that
generated the maintainer scripts.

The dpkg one is one that should be easy to reproduce, I just didn't
see anybody try or suggest that it's not a problem, or that it has been
fixed.


Kurt




Severity set to `important' from `serious' Request was from Filipus Klutiero <chealer@gmail.com> to control@bugs.debian.org. (Thu, 30 Aug 2007 01:24:01 GMT) Full text and rfc822 format available.

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#432893. Full text and rfc822 format available.

Message #115 received at 432893-submitter@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: control@bugs.debian.org, 432893-submitter@bugs.debian.org
Subject: Re: Processed: severity of 432893 is important
Date: Wed, 29 Aug 2007 21:22:00 -0400
severity 432893 important
thanks

Le mercredi 29 août 2007 12:51, Kurt Roeckx a écrit :
> On Wed, Aug 29, 2007 at 09:12:10AM -0400, Filipus Klutiero wrote:
> > Hi Kurt,
> > I don't necessarily think that this bug is not RC, I just assumed it
> > wasn't. Severity was set to serious indirectly by the cloned bug's
> > severity. While the severity against ghc seemed fine, I think it's
> > unlikely that the dpkg part of the bug is considered serious, now that
> > the report is more than 2 months old and there are no reports of other
> > people experiencing the bug, or reports of the bug with other packages
> > than ghc, which appears fixed.
>
> There were 2 problems in the original bug report, and I consider both
> RC.  The ghc one has been fixed/worked around in an other package that
> generated the maintainer scripts.
>
> The dpkg one is one that should be easy to reproduce, I just didn't
> see anybody try or suggest that it's not a problem, or that it has been
> fixed.
OK. Nevertheless, I'm not convinced that this bug is release-critical, so I'm 
downgrading to important again. Do not upgrade the severity to serious again, 
as this bug is not a policy violation, unless you have evidence that the dpkg 
maintainance team considers it serious. Feel free to ask the maintainers to 
upgrade the severity to serious.



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #120 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 432893@bugs.debian.org, chealer@gmail.com
Subject: Re: Bug#432893: Processed: severity of 432893 is important
Date: Thu, 30 Aug 2007 09:18:24 +0200
severity 432893 serious
thanks

On Wed, Aug 29, 2007 at 09:22:00PM -0400, Filipus Klutiero wrote:
> OK. Nevertheless, I'm not convinced that this bug is release-critical, so I'm 
> downgrading to important again. Do not upgrade the severity to serious again, 
> as this bug is not a policy violation, unless you have evidence that the dpkg 
> maintainance team considers it serious. Feel free to ask the maintainers to 
> upgrade the severity to serious.

Please do not change the severity of this bug unless the dpkg
maintainers say so.

There are more reasons than policy violations for a bug to be RC.  But
the behaviour of dpkg is even documented in policy, so I suggest you
read policy again.


Kurt




Severity set to `serious' from `important' Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 30 Aug 2007 07:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #127 received at 432893@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 432893@bugs.debian.org
Subject: apt-get
Date: Mon, 10 Sep 2007 00:13:42 -0400
If someone can reproduce this without using apt-get, please report.




Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#432893. Full text and rfc822 format available.

Message #130 received at 432893-submitter@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 432893-submitter@bugs.debian.org
Subject: Policy violation
Date: Mon, 10 Sep 2007 00:12:35 -0400
Le jeudi 30 août 2007 03:18, vous avez écrit :
> There are more reasons than policy violations for a bug to be RC.  But
> the behaviour of dpkg is even documented in policy, so I suggest you
> read policy again.
Re-reading policy takes some time...which section of policy is violated here?




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #135 received at 432893@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Filipus Klutiero <chealer@gmail.com>, 432893@bugs.debian.org
Subject: Re: Bug#432893: Processed: severity of 432893 is important
Date: Mon, 10 Sep 2007 14:19:09 +0300
On Wed, 2007-08-29 at 21:22:00 -0400, Filipus Klutiero wrote:
> severity 432893 important
> thanks
> 
> Le mercredi 29 août 2007 12:51, Kurt Roeckx a écrit :
> > On Wed, Aug 29, 2007 at 09:12:10AM -0400, Filipus Klutiero wrote:
> > > Hi Kurt,
> > > I don't necessarily think that this bug is not RC, I just assumed it
> > > wasn't. Severity was set to serious indirectly by the cloned bug's
> > > severity. While the severity against ghc seemed fine, I think it's
> > > unlikely that the dpkg part of the bug is considered serious, now that
> > > the report is more than 2 months old and there are no reports of other
> > > people experiencing the bug, or reports of the bug with other packages
> > > than ghc, which appears fixed.
> >
> > There were 2 problems in the original bug report, and I consider both
> > RC.  The ghc one has been fixed/worked around in an other package that
> > generated the maintainer scripts.
> >
> > The dpkg one is one that should be easy to reproduce, I just didn't
> > see anybody try or suggest that it's not a problem, or that it has been
> > fixed.

> OK. Nevertheless, I'm not convinced that this bug is release-critical, so
> I'm downgrading to important again.

Sorry but that you are convinced or not does not matter, you should not
be changing the severity in the first place for a package you are not
maintaining, (you are not part of the release team either, nor the bug
submitter).

> Do not upgrade the severity to serious again, as this bug is not a
> policy violation, unless you have evidence that the dpkg  maintainance
> team considers it serious. Feel free to ask the maintainers to
> upgrade the severity to serious.

I'd appreciate if you stop messing with the bug reports status w/o prior
consent. Feel free to send comments to the bugs, though.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #140 received at 432893@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 432893@bugs.debian.org
Subject: Re: Bug#432893: Processed: severity of 432893 is important
Date: Tue, 11 Sep 2007 19:30:54 -0400
Le lundi 10 septembre 2007 07:19, Guillem Jover a écrit :
> On Wed, 2007-08-29 at 21:22:00 -0400, Filipus Klutiero wrote:
> > severity 432893 important
> > thanks
> > 
> > Le mercredi 29 août 2007 12:51, Kurt Roeckx a écrit :
> > > On Wed, Aug 29, 2007 at 09:12:10AM -0400, Filipus Klutiero wrote:
> > > > Hi Kurt,
> > > > I don't necessarily think that this bug is not RC, I just assumed it
> > > > wasn't. Severity was set to serious indirectly by the cloned bug's
> > > > severity. While the severity against ghc seemed fine, I think it's
> > > > unlikely that the dpkg part of the bug is considered serious, now that
> > > > the report is more than 2 months old and there are no reports of other
> > > > people experiencing the bug, or reports of the bug with other packages
> > > > than ghc, which appears fixed.
> > >
> > > There were 2 problems in the original bug report, and I consider both
> > > RC.  The ghc one has been fixed/worked around in an other package that
> > > generated the maintainer scripts.
> > >
> > > The dpkg one is one that should be easy to reproduce, I just didn't
> > > see anybody try or suggest that it's not a problem, or that it has been
> > > fixed.
> 
> > OK. Nevertheless, I'm not convinced that this bug is release-critical, so
> > I'm downgrading to important again.
> 
> Sorry but that you are convinced or not does not matter, you should not
> be changing the severity in the first place for a package you are not
> maintaining, (you are not part of the release team either, nor the bug
> submitter).

I don't see why I should not change the severity of a report against a package I'm not maintaining if the severity looks incorrect and the maintainance team didn't state anything about the severity. If you were basing that on something, please let me know.

In any case, considering what you wrote, I'll refrain from changing the severity of reports against dpkg, which means I will not downgrade this report even if Kurt does not answer timely.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #145 received at 432893@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Filipus Klutiero <chealer@gmail.com>, 432893@bugs.debian.org
Subject: Re: Bug#432893: Processed: severity of 432893 is important
Date: Wed, 12 Sep 2007 09:26:52 +0200
Hi,

On Tue, 11 Sep 2007, Filipus Klutiero wrote:
> I don't see why I should not change the severity of a report against a
> package I'm not maintaining if the severity looks incorrect and the
> maintainance team didn't state anything about the severity. If you were
> basing that on something, please let me know.

Consider that changing severities of bug reports is not your business and
they are not considered a positive contribution of your own.

The release team will lower severities >= serious if they are
over-inflated, the maintainer can do so as well.

If you believe a severity to be wrong, please state so in the bug log and
let the maintainer change it if he wishes and that's it. You make us loose
valuable time arguing on severities.

I hope you can find some better way of contributing to the Debian project
because your current stance on handling bug severities is not very much
appreciated.

> In any case, considering what you wrote, I'll refrain from changing the
> severity of reports against dpkg, which means I will not downgrade this
> report even if Kurt does not answer timely.

You're not in a position where you can request/expect timely responses.
People have the right to ignore you because you're not the maintainer and
they don't believe your contributions to be useful. As long as your
contributions are NOT backed by some solid technical skills, this won't
change.

This doesn't apply only to dpkg but also to all Debian packages.

If "bug-triager" is something that appeals to you, I'd suggest to
concentrate on a single package and cooperate up-front with the maintainer
and decide of a strategy to clean up the BTS. 

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #150 received at 432893@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 432893@bugs.debian.org, control@bugs.debian.org
Subject: Possible patch for 432893
Date: Wed, 12 Sep 2007 20:59:37 +0000
[Message part 1 (text/plain, inline)]
package dpkg
tags 432893 + patch
kthxbye

Attached is a patch that *should* fix this bug.  It simply restores the
previous state of a package when a removal fails, instead of simply
setting it to installed.  Preliminary testing seems to confirm that this
works.  A changelog entry is also included.

You may also find the patch as the top commit on
git://crustytoothpaste.ath.cx/bmc/repo/dpkg.git master

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[dpkg.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Wed, 12 Sep 2007 21:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #157 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 432893@bugs.debian.org
Subject: Re: Bug#432893: Possible patch for 432893
Date: Wed, 12 Sep 2007 23:27:27 +0200
On Wed, Sep 12, 2007 at 08:59:37PM +0000, brian m. carlson wrote:
> package dpkg
> tags 432893 + patch
> kthxbye
> 
> Attached is a patch that *should* fix this bug.  It simply restores the
> previous state of a package when a removal fails, instead of simply
> setting it to installed.  Preliminary testing seems to confirm that this
> works.  A changelog entry is also included.

Policy says:
          If this fails, the package is in a "Failed-Config" state, or else
          it remains "Installed".

Is there a reason that prerm failure doesn't always set the
Failed-Config state?  dpkg has no idea which part of the prerm was
succesful and which not, it might have undone some part of the postinst
and then failed, and I think the Failed-Config makes most sense.

But I guess it should only do that if the original state was either
Installed or Failed-Config, and else keep the original state.
But I have no idea if it calls the prerm in the other states.  For
instance, what should it do if called from Unpacked state?


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #162 received at 432893@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 432893@bugs.debian.org
Subject: Re: Bug#432893: Possible patch for 432893
Date: Wed, 12 Sep 2007 22:21:11 +0000
[Message part 1 (text/plain, inline)]
On Wed, Sep 12, 2007 at 11:27:27PM +0200, Kurt Roeckx wrote:
> On Wed, Sep 12, 2007 at 08:59:37PM +0000, brian m. carlson wrote:
> > package dpkg
> > tags 432893 + patch
> > kthxbye
> > 
> > Attached is a patch that *should* fix this bug.  It simply restores the
> > previous state of a package when a removal fails, instead of simply
> > setting it to installed.  Preliminary testing seems to confirm that this
> > works.  A changelog entry is also included.
> 
> Policy says:
>           If this fails, the package is in a "Failed-Config" state, or else
>           it remains "Installed".

Unfortunately, it's not very clear what "this" refers to: is it the
entire series of scripts (step 1 in its entirety), or is it just the
abort-remove call?  I don't think it matters, since the result is the
same.

> Is there a reason that prerm failure doesn't always set the
> Failed-Config state?  dpkg has no idea which part of the prerm was
> succesful and which not, it might have undone some part of the postinst
> and then failed, and I think the Failed-Config makes most sense.

In the case that I tested, the abort-remove call was successful.  I can
add a test for the case when it is not and set the proper flags for that
case as well.  That's a trivial patch.

Knowing what policy says, my personal feeling in this case is:

state = abort_remove_ok?prev_state:failed_config;

A package obviously cannot "remain" anything when it wasn't that way in
the first place.

> But I guess it should only do that if the original state was either
> Installed or Failed-Config, and else keep the original state.
> But I have no idea if it calls the prerm in the other states.  For
> instance, what should it do if called from Unpacked state?

Well, we don't have many choices.  Unpacked is the only case I can see
where that would be a problem.  And in that case, I think that it does
no harm to either mark it as failed-config or leave it unpacked, since
the cases are almost identical: it will still have to be configured.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #167 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 432893@bugs.debian.org
Subject: Re: Bug#432893: Possible patch for 432893
Date: Thu, 13 Sep 2007 01:18:14 +0200
On Wed, Sep 12, 2007 at 10:21:11PM +0000, brian m. carlson wrote:
> On Wed, Sep 12, 2007 at 11:27:27PM +0200, Kurt Roeckx wrote:
> > On Wed, Sep 12, 2007 at 08:59:37PM +0000, brian m. carlson wrote:
> > > package dpkg
> > > tags 432893 + patch
> > > kthxbye
> > > 
> > > Attached is a patch that *should* fix this bug.  It simply restores the
> > > previous state of a package when a removal fails, instead of simply
> > > setting it to installed.  Preliminary testing seems to confirm that this
> > > works.  A changelog entry is also included.
> > 
> > Policy says:
> >           If this fails, the package is in a "Failed-Config" state, or else
> >           it remains "Installed".
> 
> Unfortunately, it's not very clear what "this" refers to: is it the
> entire series of scripts (step 1 in its entirety), or is it just the
> abort-remove call?  I don't think it matters, since the result is the
> same.

You're right, this seems to be rather confusing.  I think what it's
trying to say is if abort-remove fails, set to Failed-Config, else keep
the (Installed) state.  It should probably also keep the other states.

You could also argue that if abort-remove was succesful, it should be in
installed state, and that abort-remove in most cases should do the same
as configure.  But as far as I understand things, abort-remove should
only undo what the prerm remove did, which isn't the same as configuring
it.

> > Is there a reason that prerm failure doesn't always set the
> > Failed-Config state?  dpkg has no idea which part of the prerm was
> > succesful and which not, it might have undone some part of the postinst
> > and then failed, and I think the Failed-Config makes most sense.
> 
> In the case that I tested, the abort-remove call was successful.  I can
> add a test for the case when it is not and set the proper flags for that
> case as well.  That's a trivial patch.
> 
> Knowing what policy says, my personal feeling in this case is:
> 
> state = abort_remove_ok?prev_state:failed_config;
> 
> A package obviously cannot "remain" anything when it wasn't that way in
> the first place.
> 
> > But I guess it should only do that if the original state was either
> > Installed or Failed-Config, and else keep the original state.
> > But I have no idea if it calls the prerm in the other states.  For
> > instance, what should it do if called from Unpacked state?
> 
> Well, we don't have many choices.  Unpacked is the only case I can see
> where that would be a problem.  And in that case, I think that it does
> no harm to either mark it as failed-config or leave it unpacked, since
> the cases are almost identical: it will still have to be configured.

Does it (allow to) call the prerm in Config-files or Half-installed
state?  I think in Config-files state, you probably want to keep it, and
if my memory is good it doesn't allow you to remove the package in
Half-installed state.  If that's the case, the 
state = abort_remove_ok?prev_state:failed_config; looks right to me.


We should probably open a bug against policy to make this more clear.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #172 received at 432893@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 432893@bugs.debian.org
Subject: Re: Bug#432893: Possible patch for 432893
Date: Thu, 13 Sep 2007 00:03:19 +0000
[Message part 1 (text/plain, inline)]
On Thu, Sep 13, 2007 at 01:18:14AM +0200, Kurt Roeckx wrote:
> 
> You're right, this seems to be rather confusing.  I think what it's
> trying to say is if abort-remove fails, set to Failed-Config, else keep
> the (Installed) state.  It should probably also keep the other states.
> 
> You could also argue that if abort-remove was succesful, it should be in
> installed state, and that abort-remove in most cases should do the same
> as configure.  But as far as I understand things, abort-remove should
> only undo what the prerm remove did, which isn't the same as configuring
> it.

AIUI, for most packages, calls of the postinst are identical; that is,
the postinst always does the same thing.  However, in the abstract, I
agree.

> Does it (allow to) call the prerm in Config-files or Half-installed
> state?  I think in Config-files state, you probably want to keep it, and
> if my memory is good it doesn't allow you to remove the package in
> Half-installed state.  If that's the case, the 
> state = abort_remove_ok?prev_state:failed_config; looks right to me.

I believe config-files doesn't call the prerm, just the postrm (seeing
as policy claims the prerm doesn't exist anymore), and I also remember
that half-installed requires a reinstallation first.

Therefore, I've attached another patch (instead of the previous one) or
the top two patches from the git repository:
git://crustytoothpaste.ath.cx/bmc/repo/dpkg.git master

> We should probably open a bug against policy to make this more clear.

Please do.  I'm not a DD, so I have no authority to request changes to
policy.  I think a complete state diagram might be useful, but I don't
really want to expend the effort to create one.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[dpkg.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #177 received at 432893@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 432893@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Subject: Re: Bug#432893: Possible patch for 432893
Date: Fri, 14 Sep 2007 07:51:25 +0300
Hi,

On Thu, 2007-09-13 at 01:18:14 +0200, Kurt Roeckx wrote:
> On Wed, Sep 12, 2007 at 10:21:11PM +0000, brian m. carlson wrote:
> > On Wed, Sep 12, 2007 at 11:27:27PM +0200, Kurt Roeckx wrote:
> > > On Wed, Sep 12, 2007 at 08:59:37PM +0000, brian m. carlson wrote:
> > > > Attached is a patch that *should* fix this bug.  It simply restores
> > > > the previous state of a package when a removal fails, instead of
> > > > simply setting it to installed.  Preliminary testing seems to confirm
> > > > that this works.  A changelog entry is also included.

Thanks for the patch! I'll push it later today.

> > > Policy says:
> > >           If this fails, the package is in a "Failed-Config" state, or else
> > >           it remains "Installed".
> > 
> > Unfortunately, it's not very clear what "this" refers to: is it the
> > entire series of scripts (step 1 in its entirety), or is it just the
> > abort-remove call?  I don't think it matters, since the result is the
> > same.

I think it's clear that the 'this' refers to the '<postinst> abort-remove'
call. What seems confusing is what Kurt mentions in the next
paragraphs...

> You're right, this seems to be rather confusing.  I think what it's
> trying to say is if abort-remove fails, set to Failed-Config, else keep
> the (Installed) state.  It should probably also keep the other states.

I agree that it should keep whatever previous state it had.

> You could also argue that if abort-remove was succesful, it should be in
> installed state, and that abort-remove in most cases should do the same
> as configure.  But as far as I understand things, abort-remove should
> only undo what the prerm remove did, which isn't the same as configuring
> it.

Those are doing error unwinding, and should thus be trying to restore
to the previous states.

> > > Is there a reason that prerm failure doesn't always set the
> > > Failed-Config state?  dpkg has no idea which part of the prerm was
> > > succesful and which not, it might have undone some part of the postinst
> > > and then failed, and I think the Failed-Config makes most sense.

Before calling '<prerm> remove' the code is already setting the package
status as half configured.

> > In the case that I tested, the abort-remove call was successful.  I can
> > add a test for the case when it is not and set the proper flags for that
> > case as well.  That's a trivial patch.

Your first patch was fine already (the second one is not), the only thing
I changed was moving the scope of oldpkgstatus.

> > Knowing what policy says, my personal feeling in this case is:
> > 
> > state = abort_remove_ok?prev_state:failed_config;
> > 
> > A package obviously cannot "remain" anything when it wasn't that way in
> > the first place.

Right.

> > > But I guess it should only do that if the original state was either
> > > Installed or Failed-Config, and else keep the original state.
> > > But I have no idea if it calls the prerm in the other states.  For
> > > instance, what should it do if called from Unpacked state?

The call to '<prerm> remove' is only done if the package is installed
or half configured.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #182 received at 432893@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 432893@bugs.debian.org
Cc: Kurt Roeckx <kurt@roeckx.be>
Subject: Re: Bug#432893: Possible patch for 432893
Date: Fri, 14 Sep 2007 07:54:55 +0300
Hi,

On Thu, 2007-09-13 at 00:03:19 +0000, brian m. carlson wrote:
> On Thu, Sep 13, 2007 at 01:18:14AM +0200, Kurt Roeckx wrote:
> > We should probably open a bug against policy to make this more clear.
> 
> Please do.  I'm not a DD, so I have no authority to request changes to
> policy.  I think a complete state diagram might be useful, but I don't
> really want to expend the effort to create one.

That has already been done:

  <http://women.debian.org/wiki/English/MaintainerScripts>

It might make sense to move to the official Debian wiki, though.

regards,
guillem




Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 15 Sep 2007 04:57:06 GMT) Full text and rfc822 format available.

Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #189 received at 432893-close@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 432893-close@bugs.debian.org
Subject: Bug#432893: fixed in dpkg 1.14.7~newshlib
Date: Tue, 25 Sep 2007 07:17:03 +0000
Source: dpkg
Source-Version: 1.14.7~newshlib

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.7~newshlib_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.7~newshlib_all.deb
dpkg_1.14.7~newshlib.dsc
  to pool/main/d/dpkg/dpkg_1.14.7~newshlib.dsc
dpkg_1.14.7~newshlib.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.7~newshlib.tar.gz
dpkg_1.14.7~newshlib_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.7~newshlib_i386.deb
dselect_1.14.7~newshlib_i386.deb
  to pool/main/d/dpkg/dselect_1.14.7~newshlib_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphael Hertzog <hertzog@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Sep 2007 08:43:45 +0200
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source i386 all
Version: 1.14.7~newshlib
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Raphael Hertzog <hertzog@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 10807 41907 48208 80340 109954 323911 395942 430367 431597 432893 437825 440502 440537 440636 440859 440956 440962 440972 440973 441051 441106 441113 443190 443191 443276
Changes: 
 dpkg (1.14.7~newshlib) experimental; urgency=low
 .
   [ Raphael Hertzog ]
   * dpkg-shlibdeps has been heavily reworked:
     * it supports "symbols" files to generate finer-grained
       dependencies. Closes: #430367
       Those files can be created by the new dpkg-gensymbols
       command.
     * it uses now all paths in RPATH (instead of only the first).
       Closes: #395942
     * it's now able to parse include directives in /etc/ld.so.conf.
       Closes: #431597
     * libraries are also searched in the public directories of packages
       being built and thus debian/shlibs.local can effectively define
       dependencies for libraries that are being built. Closes: #80340
     * "symbols" files use the full SONAME as key instead of splitting it in
       (name, version) like the "shlibs" format requires it. This allows
       binaries to be linked with unversioned libraries and not fail.
       Closes: #48208
       Note that unversioned libraries are still a very bad idea.
     * dpkg-shlibdeps now supports "-x<package>" options that can be used
       to exclude packages from generated dependencies. This is
       particalularly useful to avoid dependencies on ourselves when a
       package contains a binary and a library (without requiring an
       shlibs.local file to override the usual shlibs file). It might also
       be used to avoid other unwanted dependencies (use with care though).
       Closes: #41907, #109954
     * If dpkg-shlibdeps doesn't find any dependency information for a
       shared library that is actively used, then it will fail. This can be
       disabled with the option --ignore-missing-info. Closes: #10807
 .
   [ Guillem Jover ]
   * Add back $dpkglib into @INC, needed by the controllib.pl require in
     822-date. Closes: #440962
   * Document in dpkg-scanpackages that apt now requires Packages.bz2 in
     preference to Packages.gz. Closes: #440973
   * Stop recognizing the obsolete Optional field when building packages.
   * Use fakeroot, if present, by default to gain root privileges in
     dpkg-buildpackage.
   * Fix typos in dpkg-deb.1 and start-stop-daemon.8. Closes: #441051
     Thanks to A. Costa.
   * After '<prerm> remove' fails and while doing the error unwinding, if
     the '<postinst> abort-remove' call succeeds, preserve the old status
     instead of unconditionally setting it to 'Installed'. Closes: #432893
     Thanks to Brian M. Carlson.
   * Add Vcs-Browser and Vcs-Git fields to debian/control.
 .
   [ Frank Lichtenheld ]
   * Add _MTN to dpkg-source -i default regex. Suggested by Jari Aalto.
   * Convert dpkg-buildpackage to a Perl script.
   * dpkg-buildpackage accepts a -j<n> option now which will set
     MAKEFLAGS(-j<n>) and DEB_BUILD_OPTIONS(parallel=<n>) accordingly.
     parallel=<n> in DEB_BUILD_OPTIONS will be passed to MAKEFLAGS as
     well. Based on an idea by Robert Millan. Closes: #440636
   * Allow dpkg-source -I without a pattern which will load a default
     list of pattern similar to -i without regexp. Patch by
     Jari Aalto. Closes: #440972
   * Rework documentation of dpkg-source's -i and -I options.
     Closes: #323911, #440956
 .
   [ Updated dpkg translations ]
   * Basque (Piarres Beobide). Closes: #440859
   * Danish (Claus Hindsgaul). Closes: #441106
   * French (Frédéric Bothamy).
   * German (Sven Joachim). Closes: #440537
   * Nepali (Shiva Prasad Pokharel). Closes: #437825
   * Portuguese (Miguel Figueiredo). Closes: #441113
   * Romanian (Eddy Petri?or).
   * Vietnamese (Clytie Siddall). Closes: #440502
   * Korean (Sunjae Park). Closes: #443190
 .
   [ Updated man pages translations ]
   * German (Helge Kreutzmann).
   * Swedish (Peter Karlsson).
   * Korean (Sunjae Park). Closes: #443191
 .
   [ Updated scripts translations ]
   * Correct a typo in the French translation. Closes: #443276
Files: 
 0e724edaf152da5368df1936f424dc2e 969 admin required dpkg_1.14.7~newshlib.dsc
 1e4de4e5968f91365cc0d39034411b79 5939940 admin required dpkg_1.14.7~newshlib.tar.gz
 559bd1d755610c0eb14387bedad23a44 2089802 admin required dpkg_1.14.7~newshlib_i386.deb
 9a77429db7fcad1eacaf86f412174c78 508702 admin required dselect_1.14.7~newshlib_i386.deb
 434b8a6b1500244b69fc7d26548d70e6 240362 utils optional dpkg-dev_1.14.7~newshlib_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG+LItvPbGD26BadIRAt+JAJ9k6ZFVGPpzrc0c8syccbXL10N0vQCfZ2ro
+GVA5dgV1X1DgiFE2SuyLWI=
=1mdq
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #194 received at 432893@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: Raphael Hertzog <hertzog@debian.org>
Cc: debian-dpkg@lists.debian.org, 432893@bugs.debian.org
Subject: Re: Accepted dpkg 1.14.7~newshlib (source i386 all)
Date: Fri, 28 Sep 2007 17:42:41 +0100
Raphael Hertzog writes ("Accepted dpkg 1.14.7~newshlib (source i386
all)"):
> [stuff]

I'm very pleased to see all of this work being done on the Perl
scripts - I'm hoping for big compatibility improvements from Raphael's
shared library management changes.

But I did want to comment on this:
>    * After '<prerm> remove' fails and while doing the error unwinding, if
>      the '<postinst> abort-remove' call succeeds, preserve the old status
>      instead of unconditionally setting it to 'Installed'. Closes: #432893
>      Thanks to Brian M. Carlson.

I don't think this change is correct.  If the documentation wasn't
clear then it should have been clarified.

If the  <postinst> abort-remove  is executed and completes
successfully, the package should be regarded as installed.

NB that this can only happen if the package was previously at least
unpacked.  The way that a package is moved from unpacked or
failed-config to installed is by running the postinst.  That the
postinst is informed of the specific circumstances - aborted removal -
doesn't mean that it shouldn't do its job.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #199 received at 432893@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Ian Jackson <ian@davenant.greenend.org.uk>, 432893@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, debian-dpkg@lists.debian.org
Subject: Re: Bug#432893: Accepted dpkg 1.14.7~newshlib (source i386 all)
Date: Sat, 6 Oct 2007 19:00:16 +0200
On Fri, Sep 28, 2007 at 05:42:41PM +0100, Ian Jackson wrote:
> Raphael Hertzog writes ("Accepted dpkg 1.14.7~newshlib (source i386
> all)"):
> > [stuff]
> 
> I'm very pleased to see all of this work being done on the Perl
> scripts - I'm hoping for big compatibility improvements from Raphael's
> shared library management changes.
> 
> But I did want to comment on this:
> >    * After '<prerm> remove' fails and while doing the error unwinding, if
> >      the '<postinst> abort-remove' call succeeds, preserve the old status
> >      instead of unconditionally setting it to 'Installed'. Closes: #432893
> >      Thanks to Brian M. Carlson.
> 
> I don't think this change is correct.  If the documentation wasn't
> clear then it should have been clarified.
> 
> If the  <postinst> abort-remove  is executed and completes
> successfully, the package should be regarded as installed.

I don't agree for reasons I stated before. I have filed a bug
against policy: #443334

I suggest we talk about this on the policy list.


Kurt





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #204 received at 432893-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 432893-close@bugs.debian.org
Subject: Bug#432893: fixed in dpkg 1.14.7
Date: Mon, 08 Oct 2007 05:17:03 +0000
Source: dpkg
Source-Version: 1.14.7

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.7_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.7_all.deb
dpkg_1.14.7.dsc
  to pool/main/d/dpkg/dpkg_1.14.7.dsc
dpkg_1.14.7.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.7.tar.gz
dpkg_1.14.7_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.7_i386.deb
dselect_1.14.7_i386.deb
  to pool/main/d/dpkg/dselect_1.14.7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 08 Oct 2007 07:31:34 +0300
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source i386 all
Version: 1.14.7
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 173463 216075 323911 379418 427210 432893 437825 440502 440537 440636 440859 440956 440962 440972 440973 441051 441106 441113 443190 443191 443276 444362 445380
Changes: 
 dpkg (1.14.7) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Add back $dpkglib into @INC, needed by the controllib.pl require in
     822-date. Closes: #440962
   * Document in dpkg-scanpackages that apt now requires Packages.bz2 in
     preference to Packages.gz. Closes: #440973
   * Stop recognizing the obsolete Optional field when building packages.
   * Use fakeroot, if present, by default to gain root privileges in
     dpkg-buildpackage.
   * Fix typos in dpkg-deb.1 and start-stop-daemon.8. Closes: #441051
     Thanks to A. Costa.
   * After '<prerm> remove' fails and while doing the error unwinding, if
     the '<postinst> abort-remove' call succeeds, preserve the old status
     instead of unconditionally setting it to 'Installed'. Closes: #432893
     Thanks to Brian M. Carlson.
   * Add Vcs-Browser and Vcs-Git fields to debian/control.
   * Add a Homepage field to debian/control (to be changed later when
     there's a more formal site).
   * Allow comparing unsupported architectures for equality and identity.
     Based on a patch by Frank Lichtenheld. Closes: #427210
   * Document Origin and Bugs fields in deb-control.5. Closes: #173463
   * Do not replace substvars for build dependencies (it was not supported
     anyway).
 .
   [ Frank Lichtenheld ]
   * Add _MTN to dpkg-source -i default regex. Suggested by Jari Aalto.
   * Convert dpkg-buildpackage to a Perl script.
     Fix some bugs in the new script detected in experimental:
     Closes: #444362
   * dpkg-buildpackage accepts a -j<n> option now which will set
     MAKEFLAGS(-j<n>) and DEB_BUILD_OPTIONS(parallel=<n>) accordingly.
     parallel=<n> in DEB_BUILD_OPTIONS will be passed to MAKEFLAGS as
     well. Based on an idea by Robert Millan. Closes: #440636
   * Allow dpkg-source -I without a pattern which will load a default
     list of pattern similar to -i without regexp. Patch by
     Jari Aalto. Closes: #440972
   * Rework documentation of dpkg-source's -i and -I options.
     Closes: #323911, #440956
   * Add --utf8-strings to gpg call in dpkg-buildpackage since
     that seems to be the better default. Suggested by Székelyi Szabolcs.
     Closes: #379418
   * Let dpkg-buildpackage error out early if the version number from
     the changelog is not a valid Debian version. Closes: #216075
   * Fix dpkg-source to create correct diffs for files with spaces in
     their name (apparantly we don't have many of those ;).
     Based on a patch by Marcel Toele. Closes: #445380
 .
   [ Updated dpkg translations ]
   * Basque (Piarres Beobide). Closes: #440859
   * Danish (Claus Hindsgaul). Closes: #441106
   * French (Frédéric Bothamy).
   * German (Sven Joachim). Closes: #440537
   * Nepali (Shiva Prasad Pokharel). Closes: #437825
   * Portuguese (Miguel Figueiredo). Closes: #441113
   * Romanian (Eddy Petri?or).
   * Vietnamese (Clytie Siddall). Closes: #440502
   * Korean (Sunjae Park). Closes: #443190
 .
   [ Updated man pages translations ]
   * German (Helge Kreutzmann).
   * Swedish (Peter Karlsson).
   * Korean (Sunjae Park). Closes: #443191
 .
   [ Updated scripts translations ]
   * Correct a typo in the French translation. Closes: #443276
   * Swedish (Peter Karlsson).
Files: 
 95f1bea363e91623bff37c6ca6f7ac27 995 admin required dpkg_1.14.7.dsc
 909dbcbab6d77d1af18430336b7cb256 5935888 admin required dpkg_1.14.7.tar.gz
 e36cfe7a3c85bb13a8e7458696e12fff 2093642 admin required dpkg_1.14.7_i386.deb
 99e739b9c8f50f1773555227efcae534 510314 admin required dselect_1.14.7_i386.deb
 c7af636e7bbea0ee19aaccc8c2c39715 228114 utils optional dpkg-dev_1.14.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHCbhduW9ciZ2SjJsRAhc0AKC1pZsD622xHuJoR6xaaFVLd8arKACg+G/y
3l/y6E2FB470Q6PsZ1bhoVY=
=XsVF
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #209 received at 432893@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>, 443334@bugs.debian.org
Cc: 432893@bugs.debian.org
Subject: Re: Bug#443334: policy: postinst abort-remove state.
Date: Wed, 31 Oct 2007 09:09:53 +0100
On Tue, 30 Oct 2007, Ian Jackson wrote:
> Ian Jackson writes ("policy: postinst abort-remove state."):
> > prerm remove can be called only from "unpacked", "config-failed" and
> > "installed".  So Kurt is correct to say that policy is wrong to say
> > "it remains installed" since the package might not be installed.
> > 
> > However, the purpose of running the postinst is to (try to) put the
> > package into "installed".  That's what the postinst always does.
> 
> Idly thinking about this a day or two ago, it came to me that
> obviously we are all approaching this from the wrong angle.
> 
> The point of running the postinst is to `put the package back into
> installed' as an error-unwinding task, to try to undo what was done
> earlier, on the presumption that the package was previously
> installed.  The problem occurs when this presumption is not true.
> 
> We have missed a possible response to this situation: not run the
> postinst at all.  I think this would be much better.
> 
> After all the surprise is that the package became installed.
> Redefining the postinst's semantics so that the package doesn't count
> as installed in this case is the wrong answer - the right answer is
> not to attempt to fix up the package in this case.  If it was broken
> beforehand then there's no reason why an aborted removal should try to
> restore it to fully working state.

Indeed! I have to say that I wasn't convinced by your refutal of the
change done for #432893 because the diagnosis of the problem was clear...
ending up with an installed package when you tried to remove it and it
wasn't cleanly installed before was definitely wrong.

So reverting the change without proposing an alternative fix doesn't
seemed the right thing to do. Now the situation is a bit clearer IMO.

Will you implement that change ?

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/




Bug reopened, originator not changed. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Wed, 31 Oct 2007 16:09:02 GMT) Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Wed, 31 Oct 2007 16:09:03 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Wed, 31 Oct 2007 16:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #220 received at 432893@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 432893@bugs.debian.org
Subject: Patch to implement the required behaviour
Date: Wed, 31 Oct 2007 16:24:21 +0000
found 432893 1.14.5
found 432893 1.10.28
tags 432893 + patch
thanks

A patch to implement this behaviour is now at
 http://git.debian.org/?p=users/iwj/dpkg.git
 git://git.debian.org/git/users/iwj/dpkg.git
etc. as the branch
 bug432893

It will be necessary to merge the triggers branch first to avoid
conflicts - I don't think this change is directly applicable to
pre-triggers code.

Ian.




Bug marked as found in version 1.14.5. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Wed, 31 Oct 2007 16:33:03 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.10.28. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Wed, 31 Oct 2007 16:33:03 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Wed, 31 Oct 2007 16:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #231 received at 432893@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 432893@bugs.debian.org
Subject: Sort out these bugs
Date: Tue, 22 Jan 2008 20:55:34 +0000
Sorry, I have just been prompted to look what happened here and it
seems that my message to 432893@ was misaddressed and bounced.

I wrote:


Following discussions on debian-dpkg and debian-policy and in #443334,
we seem to have concluded that the correct behaviour for dpkg is to
not run the postinst in the confusing case.  That is, if the package
was halfconfigured beforehand, then the postinst should not be run in
an attempt to fix it.

I think it's still correct that if the package wasn't broken to start
with (ie, installed or trig*), a failing dpkg --remove should put the
package back the way it started - ie, it should run the postinst and
if that's successful the usual rules about the meaning of successful
postinst should apply (basically, the package will then be installed
or perhaps trig*).

Ian.




Reply sent to Ian Jackson <ian@davenant.greenend.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #236 received at 432893-close@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 432893-close@bugs.debian.org
Subject: Bug#432893: fixed in dpkg 1.15.0
Date: Sun, 09 Mar 2008 11:32:04 +0000
Source: dpkg
Source-Version: 1.15.0

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.0_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.15.0_all.deb
dpkg_1.15.0.dsc
  to pool/main/d/dpkg/dpkg_1.15.0.dsc
dpkg_1.15.0.tar.gz
  to pool/main/d/dpkg/dpkg_1.15.0.tar.gz
dpkg_1.15.0_i386.deb
  to pool/main/d/dpkg/dpkg_1.15.0_i386.deb
dselect_1.15.0_i386.deb
  to pool/main/d/dpkg/dselect_1.15.0_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Jackson <ian@davenant.greenend.org.uk> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 08 Mar 2008 20:41:08 +0000
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source i386 all
Version: 1.15.0
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Ian Jackson <ian@davenant.greenend.org.uk>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 4655 114774 151540 281057 311843 355654 375711 379028 432893 445552 462225 462403 462413 463398 465282 465651 466135 466321 466957 467470 468916 469520
Changes: 
 dpkg (1.15.0) unstable; urgency=low
 .
   [ Ian Jackson ]
   * Triggers.
   * Ship triggers.text to /usr/share/doc/dpkg-dev.
 .
   * Fix formatting of a few files.  Closes: #375711.
   * Treat successful calls to the postinst as always making the package
     installed.  Reverts Brian Carlson's patch from #432893.
   * Fix missing angle bracket in Swedish po file.
   * postinst in cleanup iff status was good beforehand.  Closes: #432893.
     This is the proper fix.  If the package was halfconfigured, we
     don't run the postinst and that way there are no surprises.
     When we do run the postinst we know that we can without fear set
     the package to installed (or trig*, as the case may be).
     We achieve this by not registering the cu_prerm* handlers unless the
     package was >stat_halfconfigured beforehand.  We have no more need
     to pass the previous state into the cu_prerm* postinst invocations.
   * Do not pointlessly clear reinstreq flag on postinst abort-remove.
     cu_prermremove is only be called via a push_cleanup in remove.c which
     is only executed if the package is at least halfconfigured so
     reinstreq must be clear to start with.
   * Mark reinstreq during unpack as late as possible, not before prerm.
     Previously the package would be reinstreq while we deal with
     conflictors' prerms and deconfiguration, but that's unnecessary.
 .
   * Implement `Breaks' properly in dselect.  It works just like Conflicts.
     This is correct since dselect only deals with packages being installed,
     removed or placed on hold.
   * Fix erroneous description of Breaks in dselect.
     The description should be `breaks' as in `A breaks B' rather than
     `A breaks with B' since it is B that is broken by A and not vice versa.
   * Correct broken dselect logic for self-conflicting packages.
 .
   * Add Ian as a maintainer and remove Guillem.
 .
   [ Egmont Koblinger ]
   * lstat correct conffile path even with --root.  Closes: #281057.
     Previously we would incorrectly ignore --root here.  The change is
     dpkg-1.13.22-oom-part2.patch from Egmont's June 2006 message to the
     bug report, adjusted to fit without the part1 patch.
 .
   [ Guillem Jover ]
   * Replace strdup plus error checking usage with a new m_strdup function.
     Closes: #379028
   * Add new keybinding in dselect to restore all selections back to
     whatever's currently installed. Closes: #151540
     Thanks to Colin Watson.
   * Use system timersub and fix timeval normalization in multiplication in
     start-stop-daemon. Thanks to Andreas Påhlsson. Closes: #462225
   * Cosmetic fixes to start-stop-daemon output and man page. Document that
     --chuid will change the group even if it has not been specified. Add
     EXIT STATUS and EXAMPLE sections to man page. Thanks to Justin Pryzby.
   * Add Raphael Hertzog to Uploaders, and remove Brendan O'Dea and
     Christian Perrier with their permission.
   * Use functions from libcompat when those are not provided by the system.
   * Change dpkg-gencontrol to not output the Homapage field on udeb.
   * Reintroduce 'no-debsig' back in dpkg.cfg to avoid failing to install any
     package when debsig-verify is installed. Closes: #311843
   * Fix some small memory leaks. Closes: #469520
     Thanks to Sean Finney.
 .
   [ Raphael Hertzog ]
   * Add a warning displayed by dpkg-genchanges if the current version is
     smaller than the previous one. Closes: #4655
   * Add -d and -c options in dpkg-checkbuilddeps to override
     build-depends/conflicts. Closes: #114774
   * Include list of libraries in dpkg-gensymbols' warning about new/lost
     libraries.
   * Add -R option to dpkg-buildpackage so that one can replace the usual
     "debian/rules" by something else. Closes: #355654
   * Always list all binary packages in the Description: field of .changes
     files. It's nice for reviewers and mentors.debian.net was using this field
     on source only uploads to display short description of what the package is
     about.
   * Handle the case when the library has a different SONAME than the one used
     to find it. Closes: #462413
   * Fix Dpkg::Version and Dpkg::Fields::Object to import _g() from
     Dpkg::Gettext. Thanks to Adam Heath and Olivier Berger for spotting
     this. Closes: #465651
   * Change PATH during make check to look into build directories containing
     dpkg and the related scripts. Thanks to Mike Frysinger. Closes: #466957
   * Some lintian cleanup:
     - add overrides for some useless I: tags
     - drop unused overrides
     - updated several manual pages to fix hyphen-used-as-minus-sign
     - fixed manpage-has-errors-from-man in several manual pages
   * Removed old upgrade code from dpkg's preinst and postinst which only
     concerns upgrading from dpkg version older than the one in oldstable
     already. And thus we get rid of old the last usage of read in those
     scripts (fixes lintian's warning read-in-maintainer-script).
   * Removed sorting of dependencies in dpkg-gencontrol and dpkg-source. But
     kept it for all other fields (Enhances, Conflicts, Replaces, Breaks,
     Build-Conflicts and Build-Conflicts-Indep).
   * Instead changed dpkg-shlibdeps to sort the dependencies generated in
     ${shlibs:*} variables.
   * Changed the logic of simplification of dependencies: if any dependency
     must be discarded due to another dependency appearing further
     in the field, the superseding dependency will take the place of the
     discarded one. Added a test case for this.
 .
   [ Frank Lichtenheld ]
   * Add a warning in dpkg-buildpackage if the build-dependencies are not
     satisfied during -S. Closes: #445552
   * Add a missing space in the German scripts translation. Closes: #463398
   * Add improved deb-shlibs.5 manual page by Zack Weinberg. Closes: #466135
   * dpkg-buildpackage exports some build related environment variables
     now. Based on a patch by Matthias Klose. Closes: #465282
     (See dpkg-buildpackage(1) and https://wiki.ubuntu.com/DistCompilerFlags
      for details)
   * Add support for use of SHA1 and SHA256 checksums in .dsc and
     .changes files. Information will be available in Checksums-Sha{1,256}
     fields. .changes format version increased to 1.8.
   * Link dselect against libncursesw (using appropriate -I). Closes: #466321
   * Forward port a patch from the old changelog parser to the new
     one that got lost during the transition. '+' and '.' can now
     be used in distribution names yet again. Reported by dann frazier.
     Closes: #467470
 .
   [ Updated dpkg translations ]
   * Korean (Changwoo Ryu).
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrișor).
   * Swedish (Peter Karlsson).
   * Thai (Theppitak Karoonboonyanan). Closes: 468916
 .
   [ Updated manpages translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Basque. (Piarres beobide). Closes: #462403
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrișor).
Files: 
 b15605242ff62fb1c31fbba64e367115 1129 admin required dpkg_1.15.0.dsc
 8f17862f24eeba5ca62637dc2b779a53 4233198 admin required dpkg_1.15.0.tar.gz
 005c95ba8b0b60ae8db6cf636333882a 2098688 admin required dpkg_1.15.0_i386.deb
 4d4d875e600379d7538a0eee17e5c224 729038 admin optional dselect_1.15.0_i386.deb
 50a0f2c7f193aed9c4b4988486ce2bc7 496054 utils optional dpkg-dev_1.15.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR9PIVsMWjroj9a3bAQKsGQQA5VyTC2YNPqa1P1NucSYD+khO7K5fFFOz
i9ZJtL7miwpXa99JrVvfvqlWyD8Fuwli5boVrx2Mms0NJoHfdjxzX5+POmqjdxTq
/bsxQHEBNwDZZNJ5/OJpEDmvkBdl1+PLCT+zucibIwE/WqNY4Qg8oJDxErCJgqaP
cnH85uXEQEw=
=R6bn
-----END PGP SIGNATURE-----





Bug reopened, originator not changed. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Fri, 14 Mar 2008 02:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#432893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #243 received at 432893@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: debian-dpkg@lists.debian.org, Ian Jackson <ian@davenant.greenend.org.uk>, 432893@bugs.debian.org
Subject: Re: Remaining triggers changes in Ubuntu
Date: Sun, 1 Jun 2008 14:41:16 +0200
[Message part 1 (text/plain, inline)]
On Tue, 27 May 2008, Colin Watson wrote:
> I also have an item on my to-do list to deal with
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432893, which showed up
> at one point during the merge. The bulk of the fix for this seems to be
> here:
> 
>   http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=4b2bc864ce70972800e9995deb97b8ff936a61fe;hp=c372e7e8b203c2bc052f488960f078a5baac03b7
> 
> Is it possible that somebody could review this, as it seems to have
> slipped through the cracks during the 1.15.0 argument?

The patch pointed above pre-supposes a prior revert of
ca909d6711804e51f48415d31aa2fc630943cd03 (this was in Ian's trigger branch
as commit 2791b4ca7f567e46a2fef779aa864afd4ccbe3d2).

And it didn't apply cleanly anymore so I created an updated patch, it's
attached. Guillem, please review and apply if it's fine.

I also fixed cu_prerminfavour to not clear the reinstreq flag as Ian
already did it from cu_prermupgrade/cu_prermremove and the same reasons do
apply.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/
[0001-dpkg-do-not-run-the-postinst-during-cleanup-if-the.patch (text/x-diff, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:04:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.